### Hierarchy

- ServiceCollection

## Index

### Properties

- instance

### Methods

- get
- register
- registerScoped
- registerSingleton

## Properties

### Static instance

instance: ServiceCollection = new ServiceCollection()

- Defined in di/ServiceCollection.ts:30

## Methods

### get

- get(type: any): ServiceDescription

- - Defined in di/ServiceCollection.ts:59

  #### Parameters

  - ##### type: any

  #### Returns ServiceDescription

### register

- register(type: any, factory: ServiceFactory, scope?: Scope, id?: string): ServiceDescription

- - Defined in di/ServiceCollection.ts:36

  #### Parameters

  - ##### type: any

  - ##### factory: ServiceFactory

  - ##### Default value scope: Scope = Scope.Transient

  - ##### Optional id: string

  #### Returns ServiceDescription

### registerScoped

- registerScoped(type: any, factory?: ServiceFactory, id?: string): ServiceDescription

- - Defined in di/ServiceCollection.ts:51

  #### Parameters

  - ##### type: any

  - ##### Optional factory: ServiceFactory

  - ##### Optional id: string

  #### Returns ServiceDescription

### registerSingleton

- registerSingleton(type: any, factory?: ServiceFactory, id?: string): ServiceDescription

- - Defined in di/ServiceCollection.ts:55

  #### Parameters

  - ##### type: any

  - ##### Optional factory: ServiceFactory

  - ##### Optional id: string

  #### Returns ServiceDescription

Generated using TypeDoc